
/* ====================================================== 
   BASE STYLES
========================================================= */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;

  font-weight: 100;
  font-family: 'Quicksand';
  color: rgb(107, 165, 195);
  /* color: rgba(11, 29, 48); */
}

/* New CSS3 background-size setting that creates a responsive, 
fuil-sized background image for your site. */
html {
  background: url(mountains.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

html, body {
  height: 100%;
}

/* ***FIX SPAN SPACING. CAUSING MENU ICON TO BE OFF CENTERED.*** */
span {
  font-size:30px; 
  cursor: pointer;
}

#testBtn {
  width: 2em;
  height: 2em;
  background: #ffffff;
  border-radius: 1em;
  cursor: pointer;
}

::-webkit-scrollbar {
  display: none;
}

/* KEEP - REMOVES SCROLLBAR THUMB VISIBILITY */
::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.3); 
  border-radius: 1.3em;
}

/* ATOMIC CSS STYLING*/
.display-flex {
  display: flex;
}

.display-grid {
  display: grid;
}

/* ============================================================================================== 
  CONTAINER ELEMENT STYLES
  ===============================================================================================  */

/* ---- Layout Containers ---- */

.container {
  flex-direction: column;  /* Causes header, content, and footer elements to stack on top of each other. */
  flex: 1;
  -webkit-flex-wrap: nowrap;
  flex-wrap: nowrap;
  width: 100%;
  height: 80vh;
}


/* ============================================================================================== 
  Header Layout Styles
  =============================================================================================== */

/* ---- Navigation Styles ---- */

.header {
  /* border: 1px solid blue; */
  flex-direction: row;
  justify-content: flex-start;
  flex: 0 0 auto;  /* Stops header from shrinking smaller than its child items.*/
  width: 100%;
}

/* ANIMATED MENU ICON */

.menu-wrapper {
  margin: 1em;
  align-self: center;
}

.menu-icon {
  position: relative;  /* Keeps animation within boundaries without taking element out of document flow (absolute or fixed). */
  width: 50px;
  height: 44px;
  padding: 8px 8px;
  /* background: #262626; */
  box-sizing: border-box;
  cursor: pointer;
}

/* Styles menu-icon span elements into three invidivual white lines */
.menu-icon span {
  display: block;
  width: 100%;
  height: 4px;
  background: #fff;
  margin: 6px 0;
  transition: .5s cubic-bezier(.43,.195,.02,1);  /* Curve found from Xoox website. */
}

.menu-icon span:nth-child(1) {
  transition: 0.5s;
}

.menu-icon span:nth-child(2) {
  transition: 0.5s;
  /* margin: 6px 0;  Ensures spacing between spans. */
}

.menu-icon span:nth-child(3) {
  transition: 0.5s;
}

.menu-icon.active span {
  position: absolute;
  width: calc(100% - 16px);
  top: calc(50% - 8px);
}

.menu-icon.active span:nth-child(1) {
  /* transform: rotate(225deg); */
  /* margin: 6px 0; */
  opacity: 0;
  transform-origin: center center;  /* Figure out how to transform from center. */
}

.menu-icon.active span:nth-child(2) {
  /* margin: 6px 0; */
  transform: rotate(225deg);
}

.menu-icon.active span:nth-child(3) {
  /* margin: 6px 0; */
  transform: rotate(-225deg);
}


/* ============================================================================================== 
  CONTENT LAYOUT STYLES
=============================================================================================== */

.scroll-wrapper {
  height: 100%;
}

.content_container {
  /* border: 1px solid red; */
  flex-direction: row;
  justify-content: center;
  align-content: center;
  flex: 1 0 auto;
  width: 100%;
  /* KEEP HEIGHT AT 100%. 
     A SPECIFIED HEIGHT FOR PARENT ELEMENT IS NEEDED IN ORDER TO ENABLE
     SCROLLING FOR CHILD ELEMENTS. */
  height: 100%;
  min-height: 25em;
  overflow: hidden;
}

/********** CALENDAR LAYOUT **********/

.grid-content-wrapper {
  /* border: 1px solid white; */
  display: grid;
  grid-template-columns: minmax(auto, 60em);
  grid-template-areas:
    'content1'
    'content2';

  /* max-width: 60em; */
  padding: 1em 1em 0;
  height: 100%;
  overflow-y: scroll;
}

.calendar-container {
  /* border-left: 3px solid white;
  border-right: 3px solid white; */
  grid-template-columns: minmax(2.8em, 7em) minmax(2.8em, 7em) minmax(2.8em, 7em) minmax(2.8em, 7em) minmax(2.8em, 7em) minmax(2.8em, 7em) minmax(2.8em, 7em);
  grid-template-rows: repeat (7, 1fr);
  grid-template-areas:
    'b1 m m m m m b2'
    'w0 w1 w2 w3 w4 w5 w6'
    'd0 d1 d2 d3 d4 d5 d6'
    'd7 d8 d9 d10 d11 d12 d13'
    'd14 d15 d16 d17 d18 d19 d20'
    'd21 d22 d23 d24 d25 d26 d27'
    'd28 d29 d30 d31 d32 d33 d34'
    'd35 d35 d37 d38 d39 d40 d41';

  grid-gap: 0.5em;
  grid-area: content1;
  justify-self: center;

  min-width: 15em;
  /* background-color: #2196F3; */
  padding: 1em;
  margin: 0 1em;
}

.calendar-container > div {
  /* background-color: rgba(255, 255, 255, 0.8); */
  text-align: center;
}

/*************** MONTH ***************/

.calendar-container > .month {
  grid-area: m;
  justify-self: center;
  font-size: 3.6em;
  font-weight: bold;
  color: white;
  font-family: "Crimson Text";
  /* text-shadow: 1px 1px 2px rgb(255, 254, 249); */
}

.arrow-left {
  grid-area: b1;
  width: 3em;
  height: 3em;
  padding-right: 0.5em;
  /* border: 1px solid blue; */
  justify-self: center;
  align-self: center;

  border-radius: 5em;
  transition: 0.2s;
  transition-timing-function: ease-in-out;
}

.arrow-left img {
  width: 3em;
  height: 3em;
  padding: 0.3em;
  box-sizing: border-box;
  cursor: pointer;

  transition: 0.2s;
  transition-timing-function: ease-in-out;
}

.arrow-left:hover {
  background-color: rgba(255, 255, 255, 1);
}

.arrow-left img:hover {
  filter: invert(0.5) saturate(5);
}

.arrow-right {
  grid-area: b2;
  width: 3em;
  height: 3em;
  padding-left: 0.5em;
  /* border: 1px solid blue; */
  justify-self: center;
  align-self: center;

  border-radius: 5em;
  transition: 0.2s;
  transition-timing-function: ease-in-out;
} 

.arrow-right img {
  width: 3em;
  height: 3em;
  padding: 0.3em;
  box-sizing: border-box;
  cursor: pointer;

  transition: 0.2s;
  transition-timing-function: ease-in-out;
}

.arrow-right:hover {
  background-color: rgba(255, 255, 255, 1);
  opacity: 0.75;
}

.arrow-right img:hover {
  filter: invert(0.5) saturate(5);
}


/*************** WEEK ***************/

.calendar-container > .week {
  /* padding: 10px; */
  font-size: 1.3em;
  font-weight: bold;
  /* background-color: blue; */
  font-family: "Crimson Text";
}

.SUN {
  grid-area: w0;
}

.MON {
  grid-area: w1;
}

.TUE {
  grid-area: w2;
}

.WED {
  grid-area: w3;
}

.THU {
  grid-area: w4;
}

.FRI {
  grid-area: w5;
}

.SAT {
  grid-area: w6;
}

/*************** DAYS ***************/

.day {
  padding: 0.5em;
  font-size: 20px;
  text-align: center;
  /* Max-width needed to keep day grid cells from expanding beyond expected spacing */
  max-width: 100px;
  
  border-radius: 5em;
  /* color: rgba(11, 29, 48); */
  transition: 0.2s;
  transition-timing-function: ease-in-out;
}

.day:hover {
  background-color: rgba(255, 255, 255, 1);
}

.d-0 {
  grid-area: d0;
}

.d-1 {
  grid-area: d1;
}

.d-2 {
  grid-area: d2;
}

.d-3 {
  grid-area: d3;
}

.d-4 {
  grid-area: d4;
}

.d-5 {
  grid-area: d5;
}

.d-6 {
  grid-area: d6;
}



/* Event Styles */

.events-container {
  margin: 0 1em 0;
  padding: 0 1em 0;
  overflow-y: scroll;
  min-height: 20em;

  /* border-width: 3px;
    border-style: solid;
    -webkit-border-image: 
      -webkit-gradient(linear, 0 0, 0 100%, from(black), to(rgba(0, 0, 0, 0))) 1 100%;
    -webkit-border-image: 
      -webkit-linear-gradient(white, rgba(0, 0, 0, 0)) 1 100%;
    -moz-border-image:
      -moz-linear-gradient(white, rgba(0, 0, 0, 0)) 1 100%;    
    -o-border-image:
      -o-linear-gradient(white, rgba(0, 0, 0, 0)) 1 100%;
    border-image:
      linear-gradient(to bottom, white, rgba(0, 0, 0, 0)) 1 100%; */
}


.list-event {
  grid-template-columns: repeat(1fr);
  grid-template-rows: repeat(1fr);
  grid-template-areas:
    'title title title location'
    'date date date time';

  border-radius: 1.3em;
  padding: 0.8em 1em 0;
  height: 5em;
  margin: 1em;

  background-color: rgba(255, 255, 255, 0.5);
  color: rgba(11, 29, 48);

  transition: 0.2s;
}

.list-event:hover {
  background-color: rgba(255, 255, 255, 1);
}

.event-title {
  grid-area: title;
  justify-self: start;
}

.event-location {
  grid-area: location;
  justify-self: end;
}

.event-date {
  grid-area: date;
  justify-self: start;
}

.event-time {
  grid-area: time;
  justify-self: end;
}

/* FOR TESTING LIST EVENT ITEMS LAYOUT */
.list-event > div {
  /* background-color: white;
  border: 1px solid black; */
}


/* ==============================================================================================
  Footer Layout Styles
  =============================================================================================== */

/* ---- Navigation Styles ---- */

.footer {
  /* border: 1px solid white; */
  flex-direction: row;
  justify-content: flex-end;
  flex-shrink: 0;
  z-index: 500;
  padding: 8px;
}

.user-icon {
  flex-direction: row;
  justify-content: flex-end;
  /* margin: 1em; */
  height: 3em;
  width: 100%;
  
}

.user-icon img {
  position: absolute;
  width: 50px;
  height: 50px;
  padding: 0.3em;
  /* background: #262626; */
  box-sizing: border-box;
  cursor: pointer;
}


/* ==============================================================================================
  MEDIA QUERIES
  =============================================================================================== */

  @media screen and (min-width: 1000px) {
    .grid-content-wrapper {
      grid-template-areas:
        'content2 content1';
      /* max-width: 100%;
      /* KEEP THIS!!! IT CENTERS BOTH CHILD ITEMS WHEN EXPANDING TO FULL SCREEN */
      /* justify-items: center;  */
    }
  }